# LockedTrackConstraint(Constraint)

base classes — `bpy_struct`, `Constraint`

class `bpy.types.``LockedTrackConstraint`(Constraint)

  Point toward the target along the track axis, while locking the other axis

  `head_tail`

    Target along length of bone: Head=0, Tail=1

    Type: | float in [0, 1], default 0.0

  `lock_axis`

    Axis that points upward

    Type: | enum in [‘LOCK_X’, ‘LOCK_Y’, ‘LOCK_Z’], default ‘LOCK_X’

  `subtarget`

    Type: | string, default “”, (never None)

  `target`

    Target Object

    Type: | `Object`

  `track_axis`

    Axis that points to the target object

    Type: | enum in [‘TRACK_X’, ‘TRACK_Y’, ‘TRACK_Z’, ‘TRACK_NEGATIVE_X’, ‘TRACK_NEGATIVE_Y’, ‘TRACK_NEGATIVE_Z’], default ‘TRACK_X’

Inherited Properties

`bpy_struct.id_data` `Constraint.name` `Constraint.type` `Constraint.owner_space` `Constraint.target_space` `Constraint.mute` `Constraint.show_expanded` | `Constraint.is_valid` `Constraint.active` `Constraint.is_proxy_local` `Constraint.influence` `Constraint.error_location` `Constraint.error_rotation`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`